## libgff 1.0

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
PROJECT(gff)

SET(PROJECT_INCLUDE_DIR ${PROJECT_SOURCE_DIR}/include)
SET(PROJECT_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)

SET( CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -O3 -Wall -D_FILE_OFFSET_BITS=64" )

SET(GFFLib_SRCS
    ${PROJECT_SOURCE_DIR}/codons.cpp
    ${PROJECT_SOURCE_DIR}/GArgs.cpp
    ${PROJECT_SOURCE_DIR}/GBase.cpp
    ${PROJECT_SOURCE_DIR}/gdna.cpp
    ${PROJECT_SOURCE_DIR}/GFaSeqGet.cpp
    ${PROJECT_SOURCE_DIR}/GFastaIndex.cpp
    ${PROJECT_SOURCE_DIR}/gff.cpp
    ${PROJECT_SOURCE_DIR}/gff_utils.cpp
    ${PROJECT_SOURCE_DIR}/GStr.cpp)

INCLUDE_DIRECTORIES(${PROJECT_INCLUDE_DIR})

ADD_LIBRARY(${PROJECT_NAME} STATIC ${GFFLib_SRCS})
ADD_EXECUTABLE(TestGFFParse ${PROJECT_SOURCE_DIR}/TestGFFParse.cpp)
TARGET_LINK_LIBRARIES(TestGFFParse ${PROJECT_NAME})

INSTALL(FILES ${CMAKE_BINARY_DIR}/lib${PROJECT_NAME}.a DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
INSTALL(DIRECTORY ${PROJECT_INCLUDE_DIR} DESTINATION ${CMAKE_INSTALL_PREFIX})

=== debian/changelog ===
libgff (1.0-2) unstable; urgency=medium

  * Team upload.
  * Cleanup watch file
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Wed, 04 Jul 2018 13:21:11 +0200

libgff (1.0-1) unstable; urgency=low

  * Initial release (Closes: #800336)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Fri, 18 Sep 2015 20:31:46 -0700

=== debian/control ===
Source: libgff
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
Section: libdevel
Priority: optional
Build-Depends: debhelper (>= 11~),
               cmake
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/libgff
Vcs-Git: https://salsa.debian.org/med-team/libgff.git
Homepage: https://github.com/Kingsford-Group/libgff

Package: libgff-dev
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GFF/GTF parsing from cufflinks as a library
 This is a simple "libraryfication" of the GFF/GTF parsing code that is used in
 the Cufflinks codebase.  There are not many (any?) relatively lightweight
 GTF/GFF parsers exposing a C++ interface, and the goal of this library is to
 provide this functionality without the necessity of drawing in a heavy-weight
 dependency like SeqAn.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

%:
	dh $@

=== debian/watch ===
version=4

https://github.com/Kingsford-Group/libgff/releases .*/archive/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## libgff 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(gff)

message(STATUS "Install prefix : ${CMAKE_INSTALL_PREFIX}")

set(INCLUDE_INSTALL_DIR include/)
set(LIB_INSTALL_DIR lib/)

include(CMakePackageConfigHelpers)

set(ver_major 2)
set(ver_minor 0)
set(ver_patch 0)

set(CPACK_PACKAGE_VERSION_MAJOR ${ver_major})
set(CPACK_PACKAGE_VERSION_MINOR ${ver_minor})
set(CPACK_PACKAGE_VERSION_PATCH ${ver_patch})

set(CPACK_PACKAGE_VERSION "${ver_major}.${ver_minor}.${ver_patch}")
message("version: ${CPACK_PACKAGE_VERSION}")

set(PROJECT_VERSION ${CPACK_PACKAGE_VERSION})

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(PROJECT_INCLUDE_DIR ${PROJECT_SOURCE_DIR}/include)
set(PROJECT_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)

set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -O3 -Wall -D_FILE_OFFSET_BITS=64" )

set(GFFLib_SRCS
    ${PROJECT_SOURCE_DIR}/codons.cpp
    ${PROJECT_SOURCE_DIR}/GArgs.cpp
    ${PROJECT_SOURCE_DIR}/GBase.cpp
    ${PROJECT_SOURCE_DIR}/gdna.cpp
    ${PROJECT_SOURCE_DIR}/GFaSeqGet.cpp
    ${PROJECT_SOURCE_DIR}/GFastaIndex.cpp
    ${PROJECT_SOURCE_DIR}/gff.cpp
    #${PROJECT_SOURCE_DIR}/gff_utils.cpp
    ${PROJECT_SOURCE_DIR}/GStr.cpp)

include_directories(${PROJECT_INCLUDE_DIR})

add_library(${PROJECT_NAME} STATIC ${GFFLib_SRCS})
add_executable(TestGFFParse ${PROJECT_SOURCE_DIR}/TestGFFParse.cpp)
target_link_libraries(TestGFFParse ${PROJECT_NAME})



configure_package_config_file(libgffConfig.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/libgffConfig.cmake
  INSTALL_DESTINATION ${LIB_INSTALL_DIR}/libgff/cmake
  PATH_VARS INCLUDE_INSTALL_DIR LIB_INSTALL_DIR)
write_basic_package_version_file(
  ${CMAKE_CURRENT_BINARY_DIR}/libgffConfigVersion.cmake
  VERSION ${ver_major}.${ver_minor}.${ver_patch}
  COMPATIBILITY SameMajorVersion )
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libgffConfig.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/libgffConfigVersion.cmake
        DESTINATION ${LIB_INSTALL_DIR}/libgff/cmake )

install(FILES ${CMAKE_BINARY_DIR}/lib${PROJECT_NAME}.a DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
install(DIRECTORY ${PROJECT_INCLUDE_DIR} DESTINATION ${CMAKE_INSTALL_PREFIX})

=== debian/changelog ===
libgff (2.0.0-3) unstable; urgency=medium

  * Team upload.
  * Really fix watch file
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jan 2022 16:14:04 +0100

libgff (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 30 Sep 2021 11:55:31 +0200

libgff (2.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 16 Jul 2020 13:09:49 +0200

libgff (1.0-4) unstable; urgency=medium

  * Team upload.
  * Test-Depends: build-essential
    Closes: #962554

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jun 2020 22:01:02 +0200

libgff (1.0-3) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * Add autopkgtests
  * Install relevant examples
  * Fix with cme
  * Add upstream/metadata
  * Fix white space
  * Fix file permissions and trailing white spaces

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 02 Jun 2020 22:44:25 +0530

=== debian/control ===
Source: libgff
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: libdevel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               debhelper
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/libgff
Vcs-Git: https://salsa.debian.org/med-team/libgff.git
Homepage: https://github.com/COMBINE-lab/libgff
Rules-Requires-Root: no

Package: libgff-dev
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GFF/GTF parsing from cufflinks as a library
 This is a simple "libraryfication" of the GFF/GTF parsing code that is used in
 the Cufflinks codebase.  There are not many (any?) relatively lightweight
 GTF/GFF parsers exposing a C++ interface, and the goal of this library is to
 provide this functionality without the necessity of drawing in a heavy-weight
 dependency like SeqAn.

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 %:
 	dh $@
 
+override_dh_fixperms:
+	dh_fixperms
+	find debian -name '*.gtf' | xargs chmod -x

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, build-essential, python-pysam-tests
Restrictions: allow-stderr

=== debian/watch ===
version=4

https://github.com/COMBINE-lab/libgff/tags .*/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
